/* empty css              */ /* empty css              */ /* empty css              */ import {
  bw as e,
  H as t,
  a1 as i,
  a0 as a,
  K as s,
  I as l,
  bx as n,
  c as o,
  w as c,
  ad as r,
  v as u,
  Q as v,
  J as d,
  j as p,
  aD as m,
  ag as f,
  aQ as g,
  a6 as x,
  bj as y,
  a9 as b,
  by as h,
  bz as _,
  aE as k,
  aP as w,
  aF as C,
  _ as E,
  a as V,
  u as z,
  g as P,
  aC as T,
  e as $,
  f as S,
  h as I,
  i as U,
  t as F,
  p as A,
  y as B,
  F as j,
  r as D,
  as as N,
  at as O,
  bA as H,
  bB as Z,
  bC as M,
  bD as Y,
  bE as G,
  o as X,
  m as J,
  az as Q,
  bF as K,
  G as L,
  bG as W,
  z as q,
  C as R,
  P as ee,
} from "./index-476be0bb.js";
import {
  _ as te,
  a as ie,
  b as ae,
  c as se,
  d as le,
} from "./vip16-d05d7908.js";
import { a as ne } from "./api.mine-40f950d7.js";
import { B as oe } from "./index-97676c1f.js";
import "./use-route-126c4f06.js";
const [ce, re] = t("count-down");
const ue = v(
    l({
      name: ce,
      props: {
        time: i(0),
        format: a("HH:mm:ss"),
        autoStart: s,
        millisecond: Boolean,
      },
      emits: ["change", "finish"],
      setup(t, { emit: i, slots: a }) {
        const {
            start: s,
            pause: l,
            reset: v,
            current: d,
          } = n({
            time: +t.time,
            millisecond: t.millisecond,
            onChange: (e) => i("change", e),
            onFinish: () => i("finish"),
          }),
          p = o(() =>
            (function (t, i) {
              const { days: a } = i;
              let { hours: s, minutes: l, seconds: n, milliseconds: o } = i;
              if (
                (t.includes("DD") ? (t = t.replace("DD", e(a))) : (s += 24 * a),
                t.includes("HH") ? (t = t.replace("HH", e(s))) : (l += 60 * s),
                t.includes("mm") ? (t = t.replace("mm", e(l))) : (n += 60 * l),
                t.includes("ss") ? (t = t.replace("ss", e(n))) : (o += 1e3 * n),
                t.includes("S"))
              ) {
                const i = e(o, 3);
                t = t.includes("SSS")
                  ? t.replace("SSS", i)
                  : t.includes("SS")
                  ? t.replace("SS", i.slice(0, 2))
                  : t.replace("S", i.charAt(0));
              }
              return t;
            })(t.format, d.value)
          ),
          m = () => {
            v(+t.time), t.autoStart && s();
          };
        return (
          c(() => t.time, m, { immediate: !0 }),
          r({ start: s, pause: l, reset: m }),
          () =>
            u("div", { role: "timer", class: re() }, [
              a.default ? a.default(d.value) : p.value,
            ])
        );
      },
    })
  ),
  [ve, de] = t("slider");
const pe = v(
  l({
    name: ve,
    props: {
      min: i(0),
      max: i(100),
      step: i(1),
      range: Boolean,
      reverse: Boolean,
      disabled: Boolean,
      readonly: Boolean,
      vertical: Boolean,
      barHeight: d,
      buttonSize: d,
      activeColor: String,
      inactiveColor: String,
      modelValue: { type: [Number, Array], default: 0 },
    },
    emits: ["change", "dragEnd", "dragStart", "update:modelValue"],
    setup(e, { emit: t, slots: i }) {
      let a, s, l;
      const n = p(),
        c = [p(), p()],
        r = p(),
        v = m(),
        d = o(() => Number(e.max) - Number(e.min)),
        E = o(() => {
          const t = e.vertical ? "width" : "height";
          return { background: e.inactiveColor, [t]: f(e.barHeight) };
        }),
        V = (t) => e.range && Array.isArray(t),
        z = () => {
          const { modelValue: t, min: i } = e;
          return V(t)
            ? "".concat((100 * (t[1] - t[0])) / d.value, "%")
            : "".concat((100 * (t - Number(i))) / d.value, "%");
        },
        P = o(() => {
          const t = e.vertical ? "height" : "width",
            i = { [t]: z(), background: e.activeColor };
          r.value && (i.transition = "none");
          return (
            (i[
              e.vertical
                ? e.reverse
                  ? "bottom"
                  : "top"
                : e.reverse
                ? "right"
                : "left"
            ] = (() => {
              const { modelValue: t, min: i } = e;
              return V(t)
                ? "".concat((100 * (t[0] - Number(i))) / d.value, "%")
                : "0%";
            })()),
            i
          );
        }),
        T = (t) => {
          const i = +e.min,
            a = +e.max,
            s = +e.step;
          t = C(t, i, a);
          const l = Math.round((t - i) / s) * s;
          return _(i, l);
        },
        $ = () => {
          const t = e.modelValue;
          l = V(t) ? t.map(T) : T(t);
        },
        S = (i, a) => {
          (i = V(i)
            ? ((t) => {
                var i, a;
                const s = null != (i = t[0]) ? i : Number(e.min),
                  l = null != (a = t[1]) ? a : Number(e.max);
                return s > l ? [l, s] : [s, l];
              })(i).map(T)
            : T(i)),
            y(i, e.modelValue) || t("update:modelValue", i),
            a && !y(i, l) && t("change", i);
        },
        I = (t) => {
          if ((t.stopPropagation(), e.disabled || e.readonly)) return;
          $();
          const { min: i, reverse: a, vertical: s, modelValue: l } = e,
            o = b(n),
            c = s ? o.height : o.width,
            r =
              Number(i) +
              ((s
                ? a
                  ? o.bottom - t.clientY
                  : t.clientY - o.top
                : a
                ? o.right - t.clientX
                : t.clientX - o.left) /
                c) *
                d.value;
          if (V(l)) {
            const [e, t] = l;
            S(r <= (e + t) / 2 ? [r, t] : [e, r], !0);
          } else S(r, !0);
        },
        U = (i) => {
          if (e.disabled || e.readonly) return;
          "start" === r.value && t("dragStart", i),
            k(i, !0),
            v.move(i),
            (r.value = "dragging");
          const o = b(n);
          let c =
            ((e.vertical ? v.deltaY.value : v.deltaX.value) /
              (e.vertical ? o.height : o.width)) *
            d.value;
          if ((e.reverse && (c = -c), V(l))) {
            const t = e.reverse ? 1 - a : a;
            s[t] = l[t] + c;
          } else s = l + c;
          S(s);
        },
        F = (i) => {
          e.disabled ||
            e.readonly ||
            ("dragging" === r.value && (S(s, !0), t("dragEnd", i)),
            (r.value = ""));
        },
        A = (t) => {
          if ("number" == typeof t) {
            return de("button-wrapper", ["left", "right"][t]);
          }
          return de("button-wrapper", e.reverse ? "left" : "right");
        },
        B = (t, l) => {
          const n = "dragging" === r.value;
          if ("number" == typeof l) {
            const e = i[0 === l ? "left-button" : "right-button"];
            let o;
            if ((n && Array.isArray(s) && (o = s[0] > s[1] ? 1 ^ a : a), e))
              return e({ value: t, dragging: n, dragIndex: o });
          }
          return i.button
            ? i.button({ value: t, dragging: n })
            : u("div", { class: de("button"), style: w(e.buttonSize) }, null);
        },
        j = (t) => {
          const i = "number" == typeof t ? e.modelValue[t] : e.modelValue;
          return u(
            "div",
            {
              ref: c[null != t ? t : 0],
              role: "slider",
              class: A(t),
              tabindex: e.disabled ? void 0 : 0,
              "aria-valuemin": e.min,
              "aria-valuenow": i,
              "aria-valuemax": e.max,
              "aria-disabled": e.disabled || void 0,
              "aria-readonly": e.readonly || void 0,
              "aria-orientation": e.vertical ? "vertical" : "horizontal",
              onTouchstartPassive: (i) => {
                "number" == typeof t && (a = t),
                  ((t) => {
                    e.disabled ||
                      e.readonly ||
                      (v.start(t),
                      (s = e.modelValue),
                      $(),
                      (r.value = "start"));
                  })(i);
              },
              onTouchend: F,
              onTouchcancel: F,
              onClick: h,
            },
            [B(i, t)]
          );
        };
      return (
        S(e.modelValue),
        g(() => e.modelValue),
        c.forEach((e) => {
          x("touchmove", U, { target: e });
        }),
        () =>
          u(
            "div",
            {
              ref: n,
              style: E.value,
              class: de({ vertical: e.vertical, disabled: e.disabled }),
              onClick: I,
            },
            [
              u("div", { class: de("bar"), style: P.value }, [
                e.range ? [j(0), j(1)] : j(),
              ]),
            ]
          )
      );
    },
  })
);
function me(e) {
  const t = new Date(),
    i = new Intl.DateTimeFormat("en-GB", {
      timeZone: e,
      hour: "2-digit",
      minute: "2-digit",
      second: "2-digit",
    }).format(t),
    a = new Intl.DateTimeFormat("en-GB", { timeZone: e, timeZoneName: "long" })
      .formatToParts(t)
      .find((e) => "timeZoneName" === e.type).value,
    s = a.includes("Daylight") || a.includes("Summer");
  return {
    time: i,
    timeZoneName: a,
    utcOffset: "",
    currentPeriod: s ? "夏令时" : "标准时间",
  };
}
const fe = function () {
    const e = me("Asia/Shanghai");
    e.utcOffset = "UTC+8";
    const t = me("Europe/London");
    t.utcOffset = "夏令时" === t.currentPeriod ? "UTC+1" : "UTC+0";
    const i = me("America/New_York");
    i.utcOffset = "夏令时" === i.currentPeriod ? "UTC-4" : "UTC-5";
    const a = me("Asia/Tokyo");
    a.utcOffset = "UTC+9";
    const s = me("Europe/Paris");
    s.utcOffset = "夏令时" === s.currentPeriod ? "UTC+2" : "UTC+1";
    const l = me("Australia/Sydney");
    l.utcOffset = "夏令时" === l.currentPeriod ? "UTC+11" : "UTC+10";
    const n = me("Asia/Jakarta");
    n.utcOffset = "UTC+7";
    const o = me("Asia/Ho_Chi_Minh");
    o.utcOffset = "UTC+7";
    const c = me("Europe/Warsaw");
    c.utcOffset = "夏令时" === c.currentPeriod ? "UTC+2" : "UTC+1";
    const r = me("America/Chicago");
    r.utcOffset = "夏令时" === r.currentPeriod ? "UTC-5" : "UTC-6";
    const u = me("America/Mexico_City");
    return (
      (u.utcOffset = "夏令时" === u.currentPeriod ? "UTC-5" : "UTC-6"),
      {
        beijing: e,
        london: t,
        newYork: i,
        tokyo: a,
        paris: s,
        sydney: l,
        jakarta: n,
        HanoiVietnam: o,
        warsaw: c,
        houston: r,
        Mexico: u,
      }
    );
  },
  ge = { class: "relative" },
  xe = { class: "p-10" },
  ye = { class: "vipbg p-10 relative text-#fff text-14" },
  be = { class: "flex" },
  he = { class: "flex" },
  _e = { key: 0, class: "h-30 relative bottom-5 z-10", src: te },
  ke = { key: 1, class: "h-30 relative bottom-5 z-10", src: ie },
  we = { key: 2, class: "h-30 relative bottom-5 z-10", src: ae },
  Ce = { key: 3, class: "h-30 relative bottom-5 z-10", src: se },
  Ee = { key: 4, class: "h-30 relative bottom-5 z-10", src: le },
  Ve = {
    class:
      "bg-#767c83 text-#fff lh-20 h-20 px-10 rounded-5 relative right-12 z-0",
  },
  ze = { class: "pt-3" },
  Pe = { class: "flex mt-10" },
  Te = { class: "flex-1 pt-8" },
  $e = { class: "flex ml-2" },
  Se = { key: 0, class: "h-30 relative bottom-5 z-10", src: ie },
  Ie = { key: 1, class: "h-30 relative bottom-5 z-10", src: ae },
  Ue = { key: 2, class: "h-30 relative bottom-5 z-10", src: se },
  Fe = { key: 3, class: "h-30 relative bottom-5 z-10", src: le },
  Ae = {
    class:
      "bg-#767c83 text-#fff lh-20 h-20 px-10 rounded-5 relative right-12 z-0",
  },
  Be = { class: "h-26 lh-26" },
  je = { class: "mr-10" },
  De = { class: "mt-10 pb-5" },
  Ne = { class: "text-#EF6E3E" },
  Oe = { class: "mt-3 text-18", style: { "font-family": "monospace" } },
  He = { class: "text-13" },
  Ze = { class: "pt-5" },
  Me = { class: "pb-5" },
  Ye = { class: "rounded-5 my-5 titles text-12 h-40 lh-40" },
  Ge = {
    class: "inline-block w-25% text-center",
    style: { "vertical-align": "middle" },
  },
  Xe = {
    class: "inline-block w-25% text-center",
    style: { "vertical-align": "middle" },
  },
  Je = {
    class: "inline-block w-25% text-center",
    style: { "vertical-align": "middle" },
  },
  Qe = {
    class: "inline-block w-25% text-center",
    style: { "vertical-align": "middle" },
  },
  Ke = { class: "flex" },
  Le = { class: "flex-1 text-center" },
  We = { class: "flex ml-2" },
  qe = ["src"],
  Re = {
    class:
      "bg-#017DE8 text-#fff lh-20 h-20 w-40 rounded-5 relative right-12 z-0",
  },
  et = { key: 0, class: "flex-1 text-center pt-3" },
  tt = { key: 1, class: "flex-1 text-center pt-3" },
  it = { class: "flex-1 text-center pt-3 text-#EF6E3E" },
  at = { class: "flex-1 text-center text-13 relative bottom-3" },
  st = {
    key: 0,
    class: "text-center text-12 text-#999 absolute bottom-0 right-80",
  },
  lt = {
    class: "absolute z-999 w-full h-full top-0 left-0",
    style: { background: "rgba(0, 0, 0, 0.6)", "overflow-y": "hidden" },
  },
  nt = { class: "absolute top-100", style: { width: "94%", left: "3%" } },
  ot = { class: "bg-#fff p-10 rounded-5" },
  ct = { style: { "font-family": "monospace" } },
  rt = { class: "rounded-5 flex mt-10 titles text-12" },
  ut = { class: "flex-1 text-center h-40 lh-40" },
  vt = { class: "flex-1 text-center h-40 lh-40" },
  dt = { class: "flex-1 text-center h-40 lh-40" },
  pt = { class: "flex-1 text-center h-40 lh-40" },
  mt = { class: "flex" },
  ft = { class: "flex-1 text-center" },
  gt = { class: "flex ml-2" },
  xt = ["src"],
  yt = {
    class:
      "bg-#017DE8 text-14 text-#fff lh-20 h-20 w-55 rounded-5 relative right-12 z-0",
  },
  bt = { key: 0, class: "flex-1 text-center pt-3" },
  ht = { key: 1, class: "flex-1 text-center pt-3" },
  _t = { class: "flex-1 text-center pt-3 text-#EF6E3E" },
  kt = { class: "flex-1 text-center" },
  wt = { class: "text-#EF6E3E text-13" },
  Ct = { class: "text-center mt-20" },
  Et = E(
    {
      __name: "index",
      setup(e) {
        const { t: t } = V();
        p(3);
        const i = p(!1),
          a = z();
        let s = p([
            { imgs: P("vip/vip10.png") },
            { imgs: P("vip/vip11.png") },
            { imgs: P("vip/vip15.png") },
            { imgs: P("vip/vip16.png") },
            { imgs: P("vip/vip20.png") },
            { imgs: P("vip/vip21.png") },
            { imgs: P("vip/vip25.png") },
            { imgs: P("vip/vip26.png") },
            { imgs: P("vip/vip30.png") },
          ]),
          l = p([
            { imgs: P("vip/vip10.png") },
            { imgs: P("vip/vip11.png") },
            { imgs: P("vip/vip15.png") },
            { imgs: P("vip/vip16.png") },
          ]);
        const n = p("");
        !(function () {
          let e = fe().beijing.time.split(":"),
            t =
              36e5 * parseInt(e[0]) +
              6e4 * parseInt(e[1]) +
              1e3 * parseInt(e[1]);
          n.value = 864e5 - t;
        })();
        const o = p([]);
        a.vip.viponedes && (o.value = a.vip.viponedes);
        const c = async () => {
          let { data: e } = await H();
          (o.value = e), (a.vip.viponedes = e);
        };
        c();
        const r = p(0);
        a.vip.viponecount && (r.value = a.vip.viponecount);
        const v = async () => {
          let { data: e } = await Z();
          (r.value = e.user_count), (a.vip.viponecount = e.user_count);
        };
        v();
        const d = p([]);
        a.vip.viponestatus && (d.value = a.vip.viponestatus);
        const m = async () => {
          let { data: e } = await M();
          (d.value = e), (a.vip.viponestatus = e);
        };
        m();
        let f = p("VIP0"),
          g = p("VIP1"),
          x = p(5),
          y = p(0),
          b = p([]);
        function h() {
          a.vip &&
            ((b.value = a.vip.vipindex),
            (y.value = a.vip.vipcount),
            a.vip.vipcount < a.vip.vipindex[0].user_count &&
              ((f = "VIP0"),
              (g = a.vip.vipindex[0].name),
              (x.value = a.vip.vipindex[0].user_count)),
            a.vip.vipcount >= a.vip.vipindex[0].user_count &&
              a.vip.vipcount < a.vip.vipindex[1].user_count &&
              ((f = a.vip.vipindex[0].name),
              (g = a.vip.vipindex[1].name),
              (x.value = a.vip.vipindex[1].user_count)),
            a.vip.vipcount >= a.vip.vipindex[1].user_count &&
              a.vip.vipcount < a.vip.vipindex[2].user_count &&
              ((f = a.vip.vipindex[1].name),
              (g = a.vip.vipindex[2].name),
              (x.value = a.vip.vipindex[2].user_count)),
            a.vip.vipcount >= a.vip.vipindex[2].user_count &&
              a.vip.vipcount < a.vip.vipindex[3].user_count &&
              ((f = a.vip.vipindex[2].name),
              (g = a.vip.vipindex[3].name),
              (x.value = a.vip.vipindex[3].user_count)),
            a.vip.vipcount > a.vip.vipindex[3].user_count &&
              ((f = a.vip.vipindex[3].name),
              (g = a.vip.vipindex[3].name),
              (x.value = a.vip.vipindex[3].user_count)));
        }
        h();
        let _ = p([]);
        a.vip.viptwostatus && (_.value = a.vip.viptwostatus);
        let k = async () => {
          let { data: e } = await Y();
          (_.value = e), (a.vip.viptwostatus = e), h();
        };
        k();
        let w = async (e, i) => {
            Q({ forbidClick: !0, duration: 0 }),
              await W({ vip_id: e }),
              L(t("领取成功")),
              (_[i].status = 2),
              C();
          },
          C = async () => {
            let { data: e } = await q();
            (b.value = e), (a.vip.vipindex = e), E();
          },
          E = async () => {
            let { data: e } = await R();
            (a.vip.vipcount = e.user_count), k();
          },
          te = p(0);
        a.vip.today_income && (te.value = a.vip.today_income);
        (async () => {
          let { data: e } = await ne();
          (te.value = e.today_income), (a.vip.today_income = e.today_income);
        })();
        let ie = async (e) => {
            23 == e.hours &&
              59 == e.minutes &&
              0 == e.seconds &&
              (c(), v(), m(), C());
          },
          ae = p(0);
        ae.value = a.vip_score;
        return (
          (async () => {
            let { data: e } = await G();
            (ae.value = e.score), (a.vip_score = e.score);
          })(),
          (e, p) => {
            const h = T("normal-layout"),
              k = pe,
              C = oe,
              E = ue,
              V = ee;
            return (
              X(),
              $("div", ge, [
                u(
                  h,
                  {
                    flex: "",
                    "bg-color": "#f6f6f6",
                    "nav-bg-color": "#fff",
                    "text-color": "#000",
                    title: e.$t("VIP详情"),
                    backType: 0,
                  },
                  null,
                  8,
                  ["title"]
                ),
                S("div", xe, [
                  S("div", ye, [
                    S("div", be, [
                      S("div", he, [
                        "VIP0" == I(f) ? (X(), $("img", _e)) : U("", !0),
                        "VIP1" == I(f) ? (X(), $("img", ke)) : U("", !0),
                        "VIP2" == I(f) ? (X(), $("img", we)) : U("", !0),
                        "VIP3" == I(f) ? (X(), $("img", Ce)) : U("", !0),
                        "SVIP" == I(f) ? (X(), $("img", Ee)) : U("", !0),
                        S("span", Ve, F(I(f)), 1),
                      ]),
                      S(
                        "div",
                        ze,
                        F(e.$t("余额")) + ": " + F(I(a).userInfo.money),
                        1
                      ),
                    ]),
                    S("div", Pe, [
                      S("div", Te, [
                        u(
                          k,
                          {
                            min: 0,
                            max: I(x),
                            "button-size": 14,
                            modelValue: I(a).vip.vipcount,
                            "onUpdate:modelValue":
                              p[0] || (p[0] = (e) => (I(a).vip.vipcount = e)),
                            "bar-height": 5,
                            readonly: "",
                            "inactive-color": "#444643",
                            "active-color": "#fff",
                          },
                          null,
                          8,
                          ["max", "modelValue"]
                        ),
                      ]),
                      S("div", $e, [
                        "VIP1" == I(g) ? (X(), $("img", Se)) : U("", !0),
                        "VIP2" == I(g) ? (X(), $("img", Ie)) : U("", !0),
                        "VIP3" == I(g) ? (X(), $("img", Ue)) : U("", !0),
                        "SVIP" == I(g) ? (X(), $("img", Fe)) : U("", !0),
                        S("span", Ae, F(I(g)), 1),
                      ]),
                    ]),
                    S("div", Be, [
                      S(
                        "span",
                        je,
                        F(e.$t("晋升标准")) +
                          ": (" +
                          F(I(a).vip.vipcount) +
                          "/" +
                          F(I(x)) +
                          ")",
                        1
                      ),
                      u(
                        C,
                        {
                          onClick: p[1] || (p[1] = (e) => (i.value = !0)),
                          style: { "vertical-align": "middle" },
                          color: "#EF6E3E",
                          type: "success",
                          size: "mini",
                        },
                        { default: A(() => [B(F(e.$t("领取奖励")), 1)]), _: 1 }
                      ),
                    ]),
                    S("div", De, [
                      B(F(e.$t("今日推广收益")) + ": ", 1),
                      S("span", Ne, F(I(te)), 1),
                      B(
                        " (" +
                          F(I(ae)) +
                          " " +
                          F(e.$t("积分")) +
                          "= 1 " +
                          F(e.$t("人")) +
                          ") ",
                        1
                      ),
                    ]),
                    S("div", Oe, [
                      S("span", He, F(e.$t("每日奖励重置时间")) + " UTC：", 1),
                      u(
                        E,
                        {
                          id: "timeone",
                          class: "inline-block",
                          time: I(n),
                          onChange: I(ie),
                        },
                        null,
                        8,
                        ["time", "onChange"]
                      ),
                    ]),
                  ]),
                  S("div", Ze, [
                    S("div", Me, "VIP " + F(e.$t("奖励")), 1),
                    S("div", Ye, [
                      S("span", Ge, F(e.$t("成长值")), 1),
                      S("span", Xe, F(e.$t("有效人数")), 1),
                      S("span", Je, F(e.$t("奖励")), 1),
                      S("span", Qe, F(e.$t("操作")), 1),
                    ]),
                    S("div", null, [
                      (X(!0),
                      $(
                        j,
                        null,
                        D(
                          I(o),
                          (i, a) => (
                            X(),
                            $("div", { class: "py-6 relative", key: i }, [
                              S("div", Ke, [
                                S("div", Le, [
                                  S("div", We, [
                                    S(
                                      "img",
                                      {
                                        class: "h-30 relative bottom-5 z-10",
                                        src: I(s)[a].imgs,
                                      },
                                      null,
                                      8,
                                      qe
                                    ),
                                    S("span", Re, F(i.name), 1),
                                  ]),
                                ]),
                                I(r) <= i.user_count
                                  ? (X(),
                                    $(
                                      "div",
                                      et,
                                      F(I(r)) + "/" + F(i.user_count),
                                      1
                                    ))
                                  : U("", !0),
                                I(r) > i.user_count
                                  ? (X(),
                                    $(
                                      "div",
                                      tt,
                                      F(i.user_count) + "/" + F(i.user_count),
                                      1
                                    ))
                                  : U("", !0),
                                S("div", it, F(i.gift_amount), 1),
                                S("div", at, [
                                  2 == I(d)[a].status
                                    ? (X(),
                                      J(
                                        C,
                                        {
                                          key: 0,
                                          class: "w-70",
                                          style: { "vertical-align": "top" },
                                          color: "#E7B29F",
                                          type: "success",
                                          size: "mini",
                                        },
                                        {
                                          default: A(() => [
                                            B(F(e.$t("已领取")), 1),
                                          ]),
                                          _: 1,
                                        }
                                      ))
                                    : U("", !0),
                                  1 == I(d)[a].status
                                    ? (X(),
                                      J(
                                        C,
                                        {
                                          key: 1,
                                          class: "w-70",
                                          onClick: (e) =>
                                            (async (e, i) => {
                                              Q({
                                                forbidClick: !0,
                                                duration: 0,
                                              }),
                                                await K({ vip_id: e }),
                                                L(t("领取成功")),
                                                (d[i].status = 2),
                                                c(),
                                                v(),
                                                m();
                                            })(i.id, a),
                                          style: { "vertical-align": "top" },
                                          color: "#EF6E3E",
                                          type: "success",
                                          size: "mini",
                                        },
                                        {
                                          default: A(() => [
                                            B(F(e.$t("可领取")), 1),
                                          ]),
                                          _: 2,
                                        },
                                        1032,
                                        ["onClick"]
                                      ))
                                    : U("", !0),
                                  0 == I(d)[a].status
                                    ? (X(),
                                      J(
                                        C,
                                        {
                                          key: 2,
                                          class: "w-70",
                                          style: { "vertical-align": "top" },
                                          color: "#E7B29F",
                                          type: "success",
                                          size: "mini",
                                        },
                                        {
                                          default: A(() => [
                                            B(F(e.$t("未激活")), 1),
                                          ]),
                                          _: 1,
                                        }
                                      ))
                                    : U("", !0),
                                ]),
                              ]),
                              i.first_amount > 0
                                ? (X(),
                                  $(
                                    "div",
                                    st,
                                    F(e.$t("首次激活")) +
                                      " " +
                                      F(i.first_amount),
                                    1
                                  ))
                                : U("", !0),
                            ])
                          )
                        ),
                        128
                      )),
                    ]),
                  ]),
                  N(
                    S(
                      "div",
                      lt,
                      [
                        S("div", nt, [
                          S("div", ot, [
                            S("div", ct, [
                              B(F(e.$t("每日奖励重置时间")) + " UTC： ", 1),
                              u(
                                E,
                                { class: "inline-block", time: I(n) },
                                null,
                                8,
                                ["time"]
                              ),
                            ]),
                            S("div", rt, [
                              S("div", ut, F(e.$t("等级")), 1),
                              S("div", vt, F(e.$t("成长值")), 1),
                              S("div", dt, F(e.$t("奖励")), 1),
                              S("div", pt, F(e.$t("操作")), 1),
                            ]),
                            S("div", null, [
                              (X(!0),
                              $(
                                j,
                                null,
                                D(
                                  I(b),
                                  (t, i) => (
                                    X(),
                                    $(
                                      "div",
                                      { class: "py-10 relative", key: t },
                                      [
                                        S("div", mt, [
                                          S("div", ft, [
                                            S("div", gt, [
                                              S(
                                                "img",
                                                {
                                                  class:
                                                    "h-30 relative bottom-5 z-10",
                                                  src: I(l)[i].imgs,
                                                },
                                                null,
                                                8,
                                                xt
                                              ),
                                              S("span", yt, F(t.name), 1),
                                            ]),
                                          ]),
                                          I(y) <= t.user_count
                                            ? (X(),
                                              $(
                                                "div",
                                                bt,
                                                F(I(y)) + "/" + F(t.user_count),
                                                1
                                              ))
                                            : U("", !0),
                                          I(y) > t.user_count
                                            ? (X(),
                                              $(
                                                "div",
                                                ht,
                                                F(t.user_count) +
                                                  "/" +
                                                  F(t.user_count),
                                                1
                                              ))
                                            : U("", !0),
                                          S("div", _t, F(t.gift_amount), 1),
                                          S("div", kt, [
                                            2 == I(_)[i].status
                                              ? (X(),
                                                J(
                                                  C,
                                                  {
                                                    key: 0,
                                                    class: "w-70",
                                                    style: {
                                                      "vertical-align": "top",
                                                    },
                                                    color: "#E7B29F",
                                                    type: "success",
                                                    size: "mini",
                                                  },
                                                  {
                                                    default: A(() => [
                                                      B(F(e.$t("已领取")), 1),
                                                    ]),
                                                    _: 1,
                                                  }
                                                ))
                                              : U("", !0),
                                            1 == I(_)[i].status
                                              ? (X(),
                                                J(
                                                  C,
                                                  {
                                                    key: 1,
                                                    class: "w-70",
                                                    onClick: (e) =>
                                                      I(w)(t.id, i),
                                                    style: {
                                                      "vertical-align": "top",
                                                    },
                                                    color: "#EF6E3E",
                                                    type: "success",
                                                    size: "mini",
                                                  },
                                                  {
                                                    default: A(() => [
                                                      B(F(e.$t("可领取")), 1),
                                                    ]),
                                                    _: 2,
                                                  },
                                                  1032,
                                                  ["onClick"]
                                                ))
                                              : U("", !0),
                                            0 == I(_)[i].status
                                              ? (X(),
                                                J(
                                                  C,
                                                  {
                                                    key: 2,
                                                    class: "w-70",
                                                    style: {
                                                      "vertical-align": "top",
                                                    },
                                                    color: "#E7B29F",
                                                    type: "success",
                                                    size: "mini",
                                                  },
                                                  {
                                                    default: A(() => [
                                                      B(F(e.$t("未激活")), 1),
                                                    ]),
                                                    _: 1,
                                                  }
                                                ))
                                              : U("", !0),
                                          ]),
                                        ]),
                                      ]
                                    )
                                  )
                                ),
                                128
                              )),
                            ]),
                            S("div", wt, F(e.$t("每激活一次VIP任务")), 1),
                          ]),
                          S("div", Ct, [
                            S(
                              "div",
                              {
                                class: "inline-block",
                                onClick: p[2] || (p[2] = (e) => (i.value = !1)),
                              },
                              [
                                u(V, {
                                  name: "close",
                                  size: "10rem",
                                  color: "#fff",
                                }),
                              ]
                            ),
                          ]),
                        ]),
                      ],
                      512
                    ),
                    [[O, 1 == I(i)]]
                  ),
                ]),
              ])
            );
          }
        );
      },
    },
    [["__scopeId", "data-v-f578f73d"]]
  );
export { Et as default };
